/*
 * Explosion.java
 *
 * Created on 22 janvier 2005, 17:32
 */

package hyperion;

import java.applet.Applet;
import java.awt.Image;

/**
 *
 * @author CryoGen
 */
public class Explosion extends Entity{
    
    public static Image t16, t32, t64;
    
    /** Creates a new instance of Explosion */
    public Explosion(int x, int y, int type, Applet applet) {
        this._x = x;
        this._y = y;
        this.type = type;
        this.applet = applet;
        
        switch(type)
        {
            case 0:
                anime = new Animation(t16, 16, 80, 32, applet);
                anime.setSpeed(1.0f);
                break;
            case 1:
                anime = new Animation(t32, 32, 160, 64, applet);
                anime.setSpeed(1.0f);
                break;
            case 2:
                anime = new Animation(t64, 64, 320, 128, applet);
                anime.setSpeed(1.0f);
                break;
        }
    }
    
    public boolean rendered() { return anime.rendered();}
    
}
